Subject: Re: bug#23572: Emacs segfaults at start since commit '374f6a5f3...'

From: Alan Mackenzie <[email-masked]>
Date: 19 May 2016 07:34:24 -0000

In article <[email-masked]> you wrote:
> On Wed, May 18, 2016 at 06:14:08PM -0000, Alan Mackenzie wrote:
>> In article <[email-masked]> you wrote:
>> > Vladimir Lomov <[email-masked]> writes:
>> 
>> >> Hello,
>> >>
>> >> I faced with emacs segfault on start. I compiled emacs from git commit
>> >> '07ebcf1bd...' on my system: Archlinux x86_64, gcc 6.1.1 and run it in
>> >> terminal and it segfaulted, see attached output from GDB and valgrind.
>> >> While emacs compiled from git commit '6f5db0255...' works fine, so I
>> >> suspect that commit '374f6a5f3...' has introduced some bug or was
>> >> incompleted.
>> 
>> > For what it is worth, I see the same crash, but I suspect my setup is very
>> > similar to Vladimir’s.
>> 
>> I'm afraid I'm one of these strange people who don't have a memory for
>> the heads of 40-digit hex hashes.
>> 
>> Do you think one of you might decipher these hashes for people like me?
>> Something like a date and the first line of the commit message would be
>> ideal.
>> 
>> Thanks!
>> 
>> > Thanks,
>> > Rasmus
>> 
>> > -- 
>> > Don't panic!!!
>> 
>> -- 
>> Alan Mackenzie (Nuremberg, Germany).
>> 
>> 
>> 
>> 

> (FYI Git can work with these fine, `git checkout 07ebcf1bd` goes to the commit mentioned)

Yes, I'm aware of this.  The point I was trying to make is that the OP,
and also the follow-up posters, were subjecting the entire community to
the unnecessary work of looking up these hash codes.  This makes me
annoyed.  I was gently suggesting that people not repeat this practise.

Anyhow, thanks for posting the information.  There is nothing in any of
these commits I know anything about.

> "07ebcf1bd..." is 07ebcf1bd964ae64446c52fb5481e919ed577358:

> commit 07ebcf1bd964ae64446c52fb5481e919ed577358
> Refs: [HEAD], emacs-24.5-rc3-fixed-9323-g07ebcf1
> Author:     Paul Eggert <[email-masked]>
> AuthorDate: Wed May 18 00:48:35 2016 -0700
> Commit:     Paul Eggert <[email-masked]>
> CommitDate: Wed May 18 00:49:30 2016 -0700

>     ‘make check-declare’ now chatters less

[ .... ]

> -- 
> Zack Piper <[email-masked]> https://apertron.net

-- 
Alan Mackenzie (Nuremberg, Germany).